function ConsumableMissionInteractionExt:interact(player)
	ConsumableMissionInteractionExt.super.interact(self, player)

	local raids = tweak_data.operations:get_raids_index()
	local consumable_missions = {}

	for i, raid in pairs(raids) do
		if tweak_data.operations.missions[raid].consumable then
			table.insert(consumable_missions, raid)
		end
	end

	local chosen_consumable = math.random(1, #consumable_missions)

	managers.consumable_missions:pickup_mission(consumable_missions[chosen_consumable])

	local notification_data = {
		id = "hud_hint_consumable_mission",
		chosen_mission = consumable_missions[chosen_consumable],
		duration = 4,
		priority = 3,
		notification_type = HUDNotification.CONSUMABLE_MISSION_PICKED_UP
	}
	managers.notification:add_notification(notification_data)
end